Image Hosted by ImageShack.us

E’ piu’ che una semplice sensazione..
il tool update-pciids scarica e aggiorna la lista dei dispostivi pci dal database centralizzato della propria distribuzione, modificando il file:

/usr/share/misc/pci.ids

La sintassi e’:
sudo apt-get install pciutils
sudo update-pciids

Ingenuamente ho sempre pensato che tenere aggiornata tale lista non portasse a simili conseguenze, ma dopo un update e’ possibile che le nostre periferiche non funzionino piu’.
Faccio un esempio su tutti..la mia scheda wifi-pci Atheros 5006x liteon. Ecco come si presentava il dispositivo qualche tempo fa:

02:03.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)

Ed ecco come si presenta oggi, dopo avere aggiornato tale lista:

02:05.0 Ethernet controller: Atheros Communications, Inc. AR5413 802.11abg NIC (rev 01)

La periferica continua a funzionare con il tool Ndiswrapper..ma questa mattina ho fatto la stessa cosa sul portatile, e il multicard-reader non ne vuole piu’ sapere di montare la mia microSD, che fino a ieri sera funzionava.
Indipendentemente dal kernel o dai driver, qualcosa e’ cambiato a livello di HAL o di Udev..almeno questa e’ la conclusione alla quale sono arrivato. Secondo voi e’ possibile?..avete avuto esperienze analoghe?
🙁

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
3.228.21.186

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*